Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.userdetails.memory
Class UserMapEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.acegisecurity.userdetails.memory.UserMapEditor

All Implemented Interfaces:
  PropertyEditor

    public class UserMapEditor

extends PropertyEditorSupport

Property editor to assist with the setup of a `UserMap`.

The format of entries should be:

`username=password,grantedAuthority[,grantedAuthority][,enabled|disabled]`

The `password` must always be the first entry after the equals. The `enabled` or `disabled` keyword can appear anywhere (apart from the first entry reserved for the password). If neither `enabled` or `disabled` appear, the default is `enabled`. At least one granted authority must be listed.

The `username` represents the key and duplicates are handled the same was as duplicates would be in Java `Properties` files.

If the above requirements are not met, the invalid entry will be silently ignored.

This editor always assumes each entry has a non-expired account and non-expired credentials. However, it does honour the user enabled/disabled flag as described above.

Version:
  $Id: UserMapEditor.java,v 1.10 2005/11/29 13:10:09 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`UserMapEditor()`

Method Summary
`static UserMap` | `addUsersFromProperties(UserMap userMap, Properties props)`
`void` | `setAsText(String s)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserMapEditor

    public UserMapEditor()

Method Detail

### setAsText

    public void setAsText(String s)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

### addUsersFromProperties

    public static UserMap addUsersFromProperties(UserMap userMap,
                                                 Properties props)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.